
#landing {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    
    background-color: rgb(250, 250, 250);
    
    position: relative;

    width: 100%;
    min-height: 100vh;
    gap: 1rem;
}

#landing > h1 {
    color: rgb(0, 0, 0);
    
    font-weight: 700;
    font-size: clamp(4rem, 4rem + 10vw, 16rem);
    
    line-height: clamp(4rem, 4rem + 10vw, 16rem);
    letter-spacing: calc(clamp(4rem, 4rem + 10vw, 16rem) * var(--default-letter-spacing) * 0.5);
    
    position: relative;
}

#landing > h1::before,
#landing > h1::after {
    pointer-events: none;
    position: absolute;
    top: 75%;
    left: 0;
}

#landing > h1::before {
    content: "P01AR";
    
    color: rgba(0, 0, 0, 0.25);
    transform: scaleY(-1);
    
    z-index: 1;
}

#landing > h1::after {
    content: "";
    
    background: linear-gradient(
        to bottom,
        rgba(250, 250, 250, 0) 0%,
        rgba(250, 250, 250, 0) 10%,
        rgba(250, 250, 250, 0.15) 15%, 
        rgba(250, 250, 250, 0.65) 35%, 
        rgba(250, 250, 250, 1) 65%
    );
    
    width: 100%;
    height: 100%;
    
    z-index: 2;
}

#landing > button {
    color: rgb(255, 255, 255);
    background-color: rgb(0, 0, 0);
    border-radius: 5rem;
    
    font-weight: 600;
    font-size: 0.75rem;
    
    line-height: 0.75rem;
    letter-spacing: calc(0.75rem * var(--default-letter-spacing) * 2.5);
    text-transform: uppercase;

    padding: 1.45rem 3rem;
    
    outline: 1px solid rgba(0, 0, 0, 0);
    outline-offset: 1.25rem;
    
    transition: outline-color var(--default-transition), outline-offset var(--default-transition);
    z-index: 16;
}

#landing > button:hover {
    outline-color: rgba(0, 0, 0, 0.1);
    outline-offset: 0.625rem;
}